#include <bits/stdc++.h>
#define f first
#define s second
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n; cin >> n;
    vector<pair<int,int>> x(n-1);
    for(int i=0;i<n-1;i++)
        cin >> x[i].f >> x[i].s;
    cout << n - 2 - ((n-1)&1) << endl;
    return 0;
}